redi(3)

NAME
redi - All PStreams classes are declared in namespace redi

SYNOPSIS

  Classes

class basic_ipstream
Class template for Input PStreams.
class basic_opstream
Class template for Output PStreams.
class basic_pstream
Class template for Bidirectional PStreams.
class basic_pstreambuf
Class template for stream buffer.
class basic_rpstream
Class template for Restricted PStreams.
class pstream_common
Class template for common base class.
struct pstreams
Common base class providing constants and typenames.

  Typedefs

typedef basic_pstreambuf< char > pstreambuf
Type definition for common template specialisation.
typedef basic_ipstream< char > ipstream
Type definition for common template specialisation.
typedef basic_opstream< char > opstream
Type definition for common template specialisation.
typedef basic_pstream< char > pstream
Type definition for common template specialisation.
typedef basic_rpstream< char > rpstream
Type definition for common template specialisation.

Detailed Description

All PStreams classes are declared in namespace redi.

Like the standard iostreams, PStreams is a set of class templates, taking a character type and traits type. As with the standard streams they are most likely to be used with char and the default traits type, so typedefs for this most common case are provided.

The pstream_common class template is not intended to be used directly, it is used internally to provide the common functionality for the other stream classes.

Author

Generated automatically by Doxygen for PStreams from the source code.